import ajv = require('ajv');
import { Application, Router } from 'express';
import { OpenApiValidatorOpts, OpenApiContext, Spec, RequestValidatorOptions, Options } from 'openapi-core';
import { OpenApiRequestHandler } from './types';
export { OpenApiValidatorOpts, InternalServerError, UnsupportedMediaType, RequestEntityTooLarge, BadRequest, MethodNotAllowed, NotAcceptable, NotFound, Unauthorized, Forbidden, } from 'openapi-core';
export declare class OpenApiValidator {
    readonly options: OpenApiValidatorOpts;
    readonly ajvOpts: AjvOptions;
    constructor(options: OpenApiValidatorOpts);
    installMiddleware(spec: Promise<Spec>): OpenApiRequestHandler[];
    installPathParams(app: Application | Router, context: OpenApiContext): void;
    private metadataMiddlware;
    private multipartMiddleware;
    private securityMiddleware;
    private requestValidationMiddleware;
    private responseValidationMiddleware;
    installOperationHandlers(baseUrl: string, context: OpenApiContext): Router;
    private validateOptions;
    private normalizeOptions;
    private isOperationHandlerOptions;
}
declare class AjvOptions {
    private options;
    constructor(options: OpenApiValidatorOpts);
    get preprocessor(): ajv.Options;
    get response(): ajv.Options;
    get request(): RequestValidatorOptions;
    get multipart(): Options;
    private baseOptions;
}
